From 86a531ffbe86997f68bfb5c5115c59c4dac156b0 Mon Sep 17 00:00:00 2001
From: Nicolas ROCHE <nroche@entrouvert.com>
Date: Fri, 9 Dec 2022 15:49:46 +0100
Subject: [PATCH 3/3] toulouse-maelis: update functests to staging database
 (#72352)

---
 functests/toulouse_maelis/conftest.py         |    43 +-
 .../data/test_create_family.json              |    64 +-
 .../toulouse_maelis/data/test_create_rl2.json |     8 +-
 .../data/test_read_category_list.json         |    12 +-
 .../data/test_read_civility_list.json         |    12 +-
 .../data/test_read_country_list.json          |   132 -
 .../data/test_read_csp_list.json              |   176 +-
 .../data/test_read_dietcode_list.json         |    54 +-
 .../data/test_read_organ_list.json            |   552 +-
 .../data/test_read_pai_list.json              |    30 +-
 .../data/test_read_quality_list.json          |   116 +-
 .../data/test_read_quotient_list.json         |    40 +-
 .../data/test_read_situation_list.json        |    72 +-
 .../data/test_read_street_list.json           | 27494 ++++++++++------
 .../data/test_read_vaccin_list.json           |   432 +-
 .../data/test_update_child.json               |    34 +-
 .../test_update_child_medical_record.json     |     8 +-
 .../data/test_update_child_pai.json           |     4 +-
 .../data/test_update_child_person.json        |    14 +-
 .../test_update_coordinate_profession.json    |     4 +-
 .../data/test_update_family.json              |    88 +-
 .../data/test_update_family_ras.json          |    64 +-
 .../data/test_update_person.json              |    10 +-
 .../data/test_update_quotient.json            |    12 +-
 .../toulouse_maelis/data/test_update_rl1.json |     6 +-
 .../toulouse_maelis/data/test_update_rl2.json |    16 +-
 functests/toulouse_maelis/test_family.py      |    50 +-
 27 files changed, 18747 insertions(+), 10800 deletions(-)

diff --git a/functests/toulouse_maelis/conftest.py b/functests/toulouse_maelis/conftest.py
index 0f50f84a..6cba35ff 100644
--- a/functests/toulouse_maelis/conftest.py
+++ b/functests/toulouse_maelis/conftest.py
@@ -9,31 +9,31 @@ from uuid import uuid4
 
 import pytest
 import requests
 from django.core.serializers.json import DjangoJSONEncoder
 from zeep.helpers import serialize_object
 
 FAMILY_PAYLOAD = {
     'category': 'BI',
-    'situation': 'VM',
+    'situation': 'MARI',
     'rl1': {
         'civility': 'MME',
         'firstname': 'Marge',
         'lastname': 'Simpson',
         'maidenName': 'Bouvier',
-        'quality': 'MERE',
+        'quality': '2',
         'birth': {'dateBirth': '1950-10-01'},
         'adresse': {'street1': 'Evergreen Terrace', 'town': 'Springfield', 'zipcode': '62701'},
     },
     'rl2': {
-        'civility': 'M.',
+        'civility': 'MR',
         'firstname': 'Homer',
         'lastname': 'Simpson',
-        'quality': 'PERE',
+        'quality': '1',
         'birth': {'dateBirth': '1956-05-12'},
         'adresse': {
             'num': '742',
             'numComp': None,
             'street1': 'Evergreen Terrace',
             'street2': None,
             'town': 'Springfield',
             'zipcode': '90701',
@@ -48,24 +48,24 @@ FAMILY_PAYLOAD = {
         },
         'profession': {
             'addressPro': {
                 'num': None,
                 'street': None,
                 'town': 'Springfield',
                 'zipcode': '90701',
             },
-            'codeCSP': '13',
+            'codeCSP': '46',
             'employerName': 'Burns',
             'phone': '0133333333',
             'profession': 'Inspecteur de sécurité',
         },
         'CAFInfo': {
             'number': '123',
-            'organ': 'A10007752822',
+            'organ': 'GENE',
         },
         'indicatorList': [
             {
                 'code': 'AVL',
                 'isActive': True,
             },
             {
                 'code': 'ETABSPEC',
@@ -77,19 +77,19 @@ FAMILY_PAYLOAD = {
     'childList': [
         {
             'sexe': 'M',
             'firstname': 'Bart',
             'lastname': 'Simpson',
             'birth': {'dateBirth': '1978-04-01'},
             'bPhoto': True,
             'bLeaveAlone': True,
-            'dietcode': 'STD',
+            'dietcode': 'MENU_AV',
             'paiInfoBean': {
-                'code': 'PAIMED',
+                'code': 'PAI_01',
                 'dateDeb': '2022-09-01',
                 'dateFin': '2023-07-01',
                 'description': 'mischievous, rebellious, misunderstood, disruptive',
             },
             'medicalRecord': {
                 'familyDoctor': {
                     'name': 'MONROE',
                     'phone': '0612341234',
@@ -104,21 +104,21 @@ FAMILY_PAYLOAD = {
                 'comment1': "the shrimp allergy isn't fully identified",
                 'comment2': None,
                 'observ1': 'Ay Caramba!',
                 'observ2': 'Eat my shorts!',
                 'isAuthHospital': True,
                 'hospital': 'Springfield General Hospital',
                 'vaccinList': [
                     {
-                        'code': 'DTC',
+                        'code': '45',
                         'vaccinationDate': '2011-01-11',
                     },
                     {
-                        'code': 'ROR',
+                        'code': '24',
                         'vaccinationDate': '2022-02-22',
                     },
                 ],
             },
             'indicatorList': [
                 {
                     'code': 'LUNETTE',
                     'isActive': True,
@@ -127,92 +127,92 @@ FAMILY_PAYLOAD = {
                     'code': 'AUTRE',
                     'note': 'rebellious',
                     'isActive': True,
                 },
             ],
             'authorizedPersonList': [
                 {
                     'personInfo': {
-                        'civility': 'M.',
+                        'civility': 'MR',
                         'firstname': 'Abraham Jebediah',
                         'lastname': 'Simpson',
                         'dateBirth': '1927-05-24',
                         'sexe': 'M',
                         'contact': {
                             'phone': '0312345678',
                             'mobile': '',
                             'mail': 'abe.simpson@example.org',
                         },
                     },
                     'personQuality': {
-                        'code': 'GPP',
+                        'code': '13',
                     },
                 },
                 {
                     'personInfo': {
                         'civility': 'MME',
                         'firstname': 'Mona Penelope',
                         'lastname': 'Simpson',
                         'dateBirth': '1929-03-15',
                         'sexe': 'F',
                         'contact': {
                             'phone': '0412345678',
                             'mobile': '0612345678',
                             'mail': 'mona.simpson@example.org',
                         },
                     },
                     'personQuality': {
-                        'code': 'GMP',
+                        'code': '13',
                     },
                 },
             ],
         },
         {
             'sexe': 'F',
             'firstname': 'Lisa',
             'lastname': 'Simpson',
             'birth': {'dateBirth': '1980-05-09'},
-            'dietcode': 'RSV',
+            'dietcode': 'MENU_SV',
             'paiInfoBean': {
-                'code': 'PAIALI',
+                'code': 'PAI_02',
             },
         },
         {
             'sexe': 'F',
             'firstname': 'Maggie',
             'lastname': 'Simpson',
             'birth': {'dateBirth': '1989-12-17'},
-            'dietcode': 'BB',
+            'dietcode': 'MENU_PAI',
             'paiInfoBean': {
-                'code': 'PAIALI',
+                'code': 'PAI_02',
             },
         },
     ],
     'emergencyPersonList': [
         {
             'civility': 'MME',
             'firstname': 'Patty',
             'lastname': 'Bouvier',
             'dateBirth': '1948-08-30',
             'sexe': 'F',
-            'quality': 'T',
+            'quality': '13',
             'contact': {
                 'phone': '0112345678',
                 'mobile': '0612345678',
                 'mail': 'patty.bouvier@example.org',
             },
         },
         {
             'civility': 'MME',
             'firstname': 'Selma',
             'lastname': 'Bouvier',
             'dateBirth': '1946-04-29',
             'sexe': 'F',
-            'quality': 'OS',
+            'quality': '13',
             'contact': {
                 'phone': '0112345678',
                 'mobile': '0612345678',
                 'mail': 'selma.bouvier@example.org',
             },
         },
     ],
 }
@@ -441,17 +441,20 @@ def update_data(request, conn):
     else:
         # FAMILY_PAYLOAD looks wrong
         assert False, create_result
 
     # update DUI
     data = read_family(conn, name_id)
     update_family_payload = copy.deepcopy(FAMILY_PAYLOAD)
     for i, child in enumerate(update_family_payload['childList']):
-        child['num'] = data['childList'][i]['num']  # required for update
+        try:
+            child['num'] = data['childList'][i]['num']  # required for update
+        except IndexError:
+            pass
 
     url = conn + '/update-family?NameID=%s' % name_id
     resp = requests.post(url, json=update_family_payload)
     resp.raise_for_status()
     assert resp.json()['err'] == 0
     data = diff_family(conn, name_id, 'test_update_family.json')
 
     return {
diff --git a/functests/toulouse_maelis/test_family.py b/functests/toulouse_maelis/test_family.py
index 130c2d57..e2a8be37 100644
--- a/functests/toulouse_maelis/test_family.py
+++ b/functests/toulouse_maelis/test_family.py
@@ -1,32 +1,32 @@
 import copy
 
 import pytest
 import requests
 
-from .conftest import diff, diff_child, diff_family, diff_rlg, link, read_family, unlink
+from .conftest import diff_child, diff_family, diff_rlg, link, read_family, unlink
 
 FAMILY_RESET_PAYLOAD = {
-    'category': 'MONO',
-    'situation': 'UL',
+    'category': 'AUTR',
+    'situation': 'AUTR',
     'rl1': {
-        'civility': 'M.',  # no effect
+        'civility': 'MR',  # no effect
         'firstname': 'Marge',  # must be
         'lastname': 'Simpson',  # must be
         'maidenName': 'reset',  # no effect
-        'quality': 'AU',
+        'quality': '25',
         'birth': {'dateBirth': '1950-10-01'},  # must be
         'adresse': {'street1': 'reset', 'town': 'reset', 'zipcode': 'reset'},
     },
     'rl2': {
         'civility': 'MME',  # no effect
         'firstname': 'Homer',  # must be
         'lastname': 'Simpson',  # must be
-        'quality': 'AU',
+        'quality': '25',
         'birth': {'dateBirth': '1956-05-12'},  # must be
         'adresse': {
             'num': '42',
             'numComp': 'Q',
             'street1': 'reset',  # E19 : La voie est obligatoire
             'street2': '',
             'town': 'reset',  # E17 : Le nom de la commune est obligatoire'
             'zipcode': 'reset',  # E16 : Le code postal est obligatoire
@@ -36,17 +36,17 @@ FAMILY_RESET_PAYLOAD = {
             'isContactSms': False,
             'isInvoicePdf': False,
             'mail': '',
             'mobile': '',
             'phone': '',
         },
         'profession': {
             'addressPro': {'num': '42', 'street': '', 'town': '', 'zipcode': ''},
-            'codeCSP': '15',
+            'codeCSP': '91',
             'employerName': '',
             'phone': '',
             'profession': '',
         },
         'CAFInfo': {
             'number': 'reset',  # cannot be removed
             'organ': '',
         },
@@ -67,17 +67,17 @@ FAMILY_RESET_PAYLOAD = {
             'sexe': 'F',
             'firstname': 'Bartolome',  # some side effects, cf test_update_child
             'lastname': 'Simps',
             'birth': {'dateBirth': '1970-01-01'},
             'bPhoto': False,
             'bLeaveAlone': False,
             'dietcode': '',
             'paiInfoBean': {
-                'code': 'PAIO',
+                'code': 'PAI_03',
                 'dateDeb': '1970-01-01',
                 'dateFin': '1970-01-01',
                 'description': '',
             },
             'medicalRecord': {
                 'familyDoctor': {  # familyDoctor is removed (set to None) by the bellow content
                     'name': '',
                     'phone': '',
@@ -119,31 +119,31 @@ FAMILY_RESET_PAYLOAD = {
                         'sexe': 'M',
                         'contact': {  # contact is removed (set to None) by the bellow content
                             'phone': '',
                             'mobile': '',
                             'mail': '',
                         },
                     },
                     'personQuality': {
-                        'code': 'AU',
+                        'code': '25',
                     },
                 },
             ],
         },
     ],
     # setting emergencyPersonList to None will keep the list
     'emergencyPersonList': [
         {
             'civility': None,
             'firstname': 'reset',  # ORA-01400: impossible d'insérer NULL dans ("MAELIS"."H_PERS"."ER_PNOM")
             'lastname': 'reset',  # ORA-01400: impossible d'insérer NULL dans ("MAELIS"."H_PERS"."ER_NOM")
             'dateBirth': '1970-01-01',
             'sexe': 'M',
-            'quality': 'AU',
+            'quality': '25',
             'contact': {
                 'phone': '',
                 'mobile': '',
                 'mail': '',
             },
         },
     ],
 }
@@ -192,26 +192,26 @@ def test_update_family(conn, update_data):
     resp.raise_for_status()
     assert resp.json()['err'] == 0
     data = read_family(conn, update_data['name_id'])
     assert data['childList'][0]['authorizedPersonList'] == []
 
     # update root fields
     payload = {
         'category': 'BI',
-        'situation': 'VM',
+        'situation': 'MARI',
     }
     resp = requests.post(url, json=payload)
     resp.raise_for_status()
     assert resp.json()['err'] == 0
     data = read_family(conn, update_data['name_id'])
     assert data['category'] == 'BI'
-    assert data['situation'] == 'VM'
+    assert data['situation'] == 'MARI'
     assert data['category_text'] == 'BIPARENTALE'
-    assert data['situation_text'] == 'Vivant maritalement'
+    assert data['situation_text'] == 'MARIE(E)'
 
     # restore family
     resp = requests.post(url, json=update_data['family_payload'])
     resp.raise_for_status()
     assert resp.json()['err'] == 0
     assert diff_family(conn, update_data['name_id'], 'test_update_family.json')
 
 
@@ -524,37 +524,37 @@ def test_update_child_dietcode(conn, update_data):
     unlink(conn, update_data['name_id'])
     link(conn, update_data)
     url = conn + '/update-child-dietcode?NameID=%s&child_id=%s&dietcode=' % (
         update_data['name_id'],
         update_data['bart_num'],
     )
 
     data = read_family(conn, update_data['name_id'])
-    assert data['childList'][0]['dietcode'] == 'STD'
-    assert data['childList'][0]['dietcode_text'] == '1- REPAS STANDARD'
+    assert data['childList'][0]['dietcode'] == 'MENU_AV'
+    assert data['childList'][0]['dietcode_text'] == 'Avec viande'
 
     # change dietcode
-    resp = requests.post(url + 'RSP')
+    resp = requests.post(url + 'MENU_SV')
     resp.raise_for_status()
     assert resp.json()['err'] == 0
     data = read_family(conn, update_data['name_id'])
-    assert data['childList'][0]['dietcode'] == 'RSP'
-    assert data['childList'][0]['dietcode_text'] == '2- R\u00c9GIME SANS PORC'
+    assert data['childList'][0]['dietcode'] == 'MENU_SV'
+    assert data['childList'][0]['dietcode_text'] == 'Sans viande'
 
     # empty dietcode
     resp = requests.post(url + '')
     resp.raise_for_status()
     assert resp.json()['err'] == 0
     data = read_family(conn, update_data['name_id'])
     assert data['childList'][0]['dietcode'] == None
     assert 'dietcode_text' not in data['childList'][0]
 
     # restore dietcode
-    resp = requests.post(url + 'STD')
+    resp = requests.post(url + 'MENU_AV')
     resp.raise_for_status()
     assert resp.json()['err'] == 0
     assert diff_family(conn, update_data['name_id'], 'test_update_family.json')
 
 
 def test_update_child_pai(conn, update_data):
     unlink(conn, update_data['name_id'])
     link(conn, update_data)
@@ -635,44 +635,44 @@ def test_person(conn, update_data):
 
 
 def test_child_person(conn, update_data):
     unlink(conn, update_data['name_id'])
     link(conn, update_data)
     data = read_family(conn, update_data['name_id'])
     assert len(data['childList'][0]['authorizedPersonList']) == 2
 
-    # delete Abi
+    # delete Abraham
     abi_num = data['childList'][0]['authorizedPersonList'][0]['personInfo']['num']
     url = conn + '/delete-child-person?NameID=%s&child_id=%s&person_id=%s' % (
         update_data['name_id'],
         update_data['bart_num'],
         abi_num,
     )
     resp = requests.post(url)
     resp.raise_for_status()
     assert resp.json()['err'] == 0
     data = read_family(conn, update_data['name_id'])
     assert len(data['childList'][0]['authorizedPersonList']) == 1
 
-    # re-create Abi
+    # re-create Abraham
     # last inserted person is added on the head of the list
     url = conn + '/create-child-person?NameID=%s&child_id=%s' % (
         update_data['name_id'],
         update_data['bart_num'],
     )
     payload = FAMILY_RESET_PAYLOAD['childList'][0]['authorizedPersonList'][0]
     resp = requests.post(url, json=payload)
     resp.raise_for_status()
     assert resp.json()['err'] == 0
     data = diff_child(
         conn, update_data['name_id'], 0, 'test_update_child_person.json', 'authorizedPersonList'
     )
 
-    # update Abi (and restore child person list)
+    # update Abraham (and restore child person list)
     abi_num = data['childList'][0]['authorizedPersonList'][0]['personInfo']['num']
     url = conn + '/update-child-person?NameID=%s&child_id=%s&person_id=%s' % (
         update_data['name_id'],
         update_data['bart_num'],
         abi_num,
     )
     payload = update_data['family_payload']['childList'][0]['authorizedPersonList'][0]
     resp = requests.post(url, json=payload)
@@ -733,31 +733,31 @@ def test_update_quotient(conn, create_data):
 
     # add quotient
     url = conn + '/update-quotient?NameID=%s&rl_id=%s' % (create_data['name_id'], create_data['rl1_num'])
     payload = {
         'yearRev': '2021',
         'dateStart': '2022-01-01',
         'dateEnd': '2022-12-31',
         'mtt': '1500.33',
-        'cdquo': 'QS',
+        'cdquo': '1',
     }
     resp = requests.post(url, json=payload)
     resp.raise_for_status()
     assert resp.json()['err'] == 0
     data = read_family(conn, create_data['name_id'])
     assert data['RL1']['quotientList'] == [
         {
             'yearRev': 2021,
             'dateStart': '2022-01-01T00:00:00+01:00',
             'dateEnd': '2022-12-31T00:00:00+01:00',
             'mtt': 1500.33,
-            'cdquo': 'QS',
+            'cdquo': '1',
             'codeUti': None,
-            'cdquo_text': 'QUOTIENT SCOLAIRE',
+            'cdquo_text': 'Revenus fiscaux',
         }
     ]
 
     # add quotient
     payload['dateStart'] = '2022-01-02'
     resp = requests.post(url, json=payload)
     resp.raise_for_status()
     assert resp.json()['err'] == 0
-- 
2.30.2

